from favro_sync.favro_fuse import to_card_contents

from .test_client import create_client, needs_secrets


@needs_secrets
def test_format_all_cards():
    client = create_client()
    for card in client.get_cards(todo_list=True):
        contents = to_card_contents(card, client)
        assert contents is not None
